import type { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import { LineFocusType } from '../content/read_anything_types.js';
export declare class AppStyleUpdater {
    private app_;
    constructor(app: CrLitElement);
    setMaxLineWidth(): void;
    setPaddingForLineFocus(padding: number): void;
    getPaddingForLineFocus(): number;
    setLineFocusPos(y: number, height: number): void;
    setLineFocusStyle(type?: LineFocusType): void;
    private setToolbarIconColorForLineFocus_;
    setLineFocusHeight(): void;
    setAllTextStyles(): void;
    setLineSpacing(): void;
    setLetterSpacing(): void;
    setFontSize(): void;
    setFont(): void;
    setHighlight(): void;
    resetToolbar(): void;
    overflowToolbar(shouldScroll: boolean): void;
    setTheme(): void;
    private setStyle_;
    private getCurrentColorSuffix_;
    private getEmptyStateBodyColor_;
    private getCurrentHighlightColor_;
    private getPreviousHighlightColor_;
    private getBackgroundColor_;
    private getForegroundColor_;
    private getSelectionColor_;
    private getSelectionTextColor_;
    private getLineFocusColor_;
    private getAudioPlayerBackgroundColor_;
    private getAudioPlayerIconColor_;
    private getToolbarIconColor_;
    private getToolbarIconHoverBackgroundColor_;
    private getToolbarFocusOutlineColor_;
    private getOnAudioPlayerFocusOutlineColor_;
    private getAudioControlsIconColor_;
    private getFullPageScrollbarColor_;
}
